using System;
using System.Reflection;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;

public class Demo : Form 
{
    public Demo()
    {
        this.Text = "Report Control Demo";
        this.ClientSize = new System.Drawing.Size(950, 600);

        ReportViewer reportViewer = new ReportViewer();

        // Set Processing Mode

        reportViewer.ProcessingMode = ProcessingMode.Local;

        // Set RDL file

        reportViewer.LocalReport.ReportPath = "Report1.rdlc";
        reportViewer.LocalReport.ExecuteReportInCurrentAppDomain(
                     Assembly.GetExecutingAssembly().Evidence);
        reportViewer.LocalReport.AddTrustedCodeModuleInCurrentAppDomain(
                 "Util, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null");

        // Add the reportviewer to the form

        reportViewer.Dock = DockStyle.Fill;
        this.Controls.Add(reportViewer);

        // Process and render the report

        reportViewer.RefreshReport();
    }

    [STAThread]
    public static int Main(string[] args) 
    {
        Application.Run(new Demo());
        return 0;
    }
}

